unit fmain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, StdCtrls;

type
  TfrmMain = class(TForm)
    Button1: TButton;
    MainMenu1: TMainMenu;
    Options1: TMenuItem;
    CheckBox1: TMenuItem;
    ListBox1: TMenuItem;
    MultiColumnListbox1: TMenuItem;
    ControlArray1: TMenuItem;
    TestButtons2: TMenuItem;
    procedure ControlArray1Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure TestButtons2Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure ListBox1Click(Sender: TObject);
    procedure MultiColumnListbox1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

uses farray, fbuttons, fcheck, flistbox, fmulti;

{$R *.DFM}

procedure TfrmMain.ControlArray1Click(Sender: TObject);
begin
  frmControlArray.Show;
end;

procedure TfrmMain.Button1Click(Sender: TObject);
begin
  Close
end;

procedure TfrmMain.TestButtons2Click(Sender: TObject);
begin
  frmButton.Show;
end;

procedure TfrmMain.CheckBox1Click(Sender: TObject);
begin
  frmCheck.Show;
end;

procedure TfrmMain.ListBox1Click(Sender: TObject);
begin
  frmListBox.Show;
end;

procedure TfrmMain.MultiColumnListbox1Click(Sender: TObject);
begin
  frmMulti.Show;
end;

end.
